Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class Polygon

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.SimpleShape
              org.apache.poi.hslf.model.TextShape
                  org.apache.poi.hslf.model.AutoShape
                      org.apache.poi.hslf.model.Polygon

    public final class Polygon

extends AutoShape

A simple closed polygon shape

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.model.TextShape
`_frc, _txtbox, _txtrun, AlignCenter, AlignJustify, AlignLeft, AlignRight, AnchorBottom, AnchorBottomBaseline, AnchorBottomCentered, AnchorBottomCenteredBaseline, AnchorMiddle, AnchorMiddleCentered, AnchorTop, AnchorTopBaseline, AnchorTopCentered, AnchorTopCenteredBaseline, WrapByPoints, WrapNone, WrapSquare, WrapThrough, WrapTopBottom`

Fields inherited from class org.apache.poi.hslf.model.SimpleShape
`_clientData, _clientRecords, DEFAULT_LINE_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.Shape
`_escherContainer, _fill, _parent, _sheet, EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, logger, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`` | `Polygon()` Create a new Polygon.
`protected` | `Polygon(EscherContainerRecord escherRecord, Shape parent)` Create a Polygon object and initialize it from the supplied Record container.
`` | `Polygon(Shape parent)` Create a new Polygon.

Method Summary
`void` | `setPoints(float[] xPoints, float[] yPoints)` Set the polygon vertices
`void` | `setPoints(java.awt.geom.Point2D[] points)` Set the polygon vertices

Methods inherited from class org.apache.poi.hslf.model.AutoShape
`createSpContainer, getAdjustmentValue, getOutline, setAdjustmentValue, setDefaultTextProperties`

Methods inherited from class org.apache.poi.hslf.model.TextShape
`afterInsert, createTextRun, draw, getEscherTextboxWrapper, getHorizontalAlignment, getMarginBottom, getMarginLeft, getMarginRight, getMarginTop, getPlaceholderAtom, getText, getTextId, getTextRun, getVerticalAlignment, getWordWrap, initTextRun, resizeToFitText, setHorizontalAlignment, setHyperlink, setMarginBottom, setMarginLeft, setMarginRight, setMarginTop, setSheet, setText, setTextId, setVerticalAlignment, setWordWrap`

Methods inherited from class org.apache.poi.hslf.model.SimpleShape
`createSpContainer, getClientDataRecord, getClientRecords, getFillColor, getFlipHorizontal, getFlipVertical, getLineColor, getLineDashing, getLineStyle, getLineWidth, getLogicalAnchor2D, getRotation, setFillColor, setHyperlink, setLineColor, setLineDashing, setLineStyle, setLineWidth, setRotation, updateClientData`

Methods inherited from class org.apache.poi.hslf.model.Shape
`getAnchor, getAnchor2D, getColor, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Polygon

    protected Polygon(EscherContainerRecord escherRecord,
                      Shape parent)

  Create a Polygon object and initialize it from the supplied Record container.

  Parameters:
    `escherRecord` - `EscherSpContainer` container which holds information about this shape
    `parent` - the parent of the shape

### Polygon

    public Polygon(Shape parent)

  Create a new Polygon. This constructor is used when a new shape is created.

  Parameters:
    `parent` - the parent of this Shape. For example, if this text box is a cell in a table then the parent is Table.

### Polygon

    public Polygon()

  Create a new Polygon. This constructor is used when a new shape is created.

Method Detail

### setPoints

    public void setPoints(float[] xPoints,
                          float[] yPoints)

  Set the polygon vertices

  Parameters:
    `xPoints` -
    `yPoints` -

### setPoints

    public void setPoints(java.awt.geom.Point2D[] points)

  Set the polygon vertices

  Parameters:
    `points` - the polygon vertices

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.